SDL_HINT_JOYSTICK_LINUX_HAT_DEADZONES(3)

NAME
SDL_HINT_JOYSTICK_LINUX_HAT_DEADZONES - A variable controlling whether digital hats on Linux will apply deadzones to their underlying input axes or use unfiltered values.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_LINUX_HAT_DEADZONES SDL_JOYSTICK_LINUX_HAT_DEADZONES"

DESCRIPTION
The variable can be set to the following values:

• "0": Return digital hat values based on unfiltered input axis values.

• "1": Return digital hat values with deadzones on the input axes taken
  into account. (default)

This hint should be set before a controller is opened.

AVAILABILITY
This hint is available since SDL 3.2.0.